[paketler-commits] r17402 - in devel/applications/emulators/virtualbox: . files
paketler-uludag at uludag.org.tr
paketler-uludag at uludag.org.tr
18 Oca 2007 Per 18:14:54 EET
Author: cartman
Date: Thu Jan 18 18:14:54 2007
New Revision: 17402
Modified:
devel/applications/emulators/virtualbox/actions.py
devel/applications/emulators/virtualbox/files/additions.patch
devel/applications/emulators/virtualbox/pspec.xml
Log:
Advanced mouse integration works now when Guest Additions are installed, so we are nearly in par with Commercial version!
Modified: devel/applications/emulators/virtualbox/actions.py
=================================================================
--- devel/applications/emulators/virtualbox/actions.py (original)
+++ devel/applications/emulators/virtualbox/actions.py Thu Jan 18 18:14:54 2007
@@ -30,10 +30,19 @@
shelltools.chmod("install.sh")
shelltools.chmod("x11config.pl")
+ # Kernel module
+ try:
+ shelltools.unlinkDir("additions")
+ except:
+ pass
+
+ shelltools.makedirs("additions/module")
+ shelltools.copytree("out/linux.x86/release/bin/additions/src/vboxadd","additions/module")
+
pisitools.dodir("/usr/share/virtualbox/additions/")
shelltools.system("mkisofs -o %s/usr/share/virtualbox/additions/VBoxGuestAdditions.iso \
-J -R \
out/linux.x86/release/bin/additions/*.o out/linux.x86/release/bin/additions/*.so \
- install.sh x11config.pl" % get.installDIR())
+ install.sh x11config.pl additions" % get.installDIR())
pisitools.remove("/usr/share/virtualbox/tst*")
Modified: devel/applications/emulators/virtualbox/files/additions.patch
=================================================================
--- devel/applications/emulators/virtualbox/files/additions.patch (original)
+++ devel/applications/emulators/virtualbox/files/additions.patch Thu Jan 18 18:14:54 2007
@@ -1,68 +1,4 @@
--- /dev/null 2007-01-17 16:25:19.316787294 +0200
-+++ install.sh 2007-01-17 18:15:45.723523748 +0200
-@@ -0,0 +1,61 @@
-+#!/bin/sh
-+#
-+# InnoTek VirtualBox
-+# VirtualBox Guest Additions installation script for Linux
-+
-+# Copyright (C) 2006 InnoTek Systemberatung GmbH
-+#
-+# This file is part of VirtualBox Open Source Edition (OSE), as
-+# available from http://www.virtualbox.org. This file is free software;
-+# you can redistribute it and/or modify it under the terms of the GNU
-+# General Public License as published by the Free Software Foundation,
-+# in version 2 as it comes in the "COPYING" file of the VirtualBox OSE
-+# distribution. VirtualBox OSE is distributed in the hope that it will
-+# be useful, but WITHOUT ANY WARRANTY of any kind.
-+#
-+# If you received this file as part of a commercial VirtualBox
-+# distribution, then only the terms of your commercial VirtualBox
-+# license agreement apply instead of the previous paragraph.
-+
-+PATH=$PATH:/bin:/sbin:/usr/sbin
-+
-+install_xdrivers="yes"
-+LOG=/tmp/installation.log
-+
-+if [ `id -u` -ne 0 ]; then
-+ echo 1>&2 "You must be logged in as root to install."
-+ exit 1
-+fi
-+
-+if [ ! "$install_xdrivers" = "" ]; then
-+ echo "Installing the X Window System drivers" >> $LOG
-+ if [ -d /usr/lib/xorg/modules ]; then
-+ if Xorg -version 2>&1 | grep "Version 6.9" || Xorg -version 2>&1 | grep "Version 7.0"; then
-+ install -o 0 -g 0 -m 0755 vboxvideo_drv_70.so /usr/lib/xorg/modules/drivers/vboxvideo_drv.so
-+ install -o 0 -g 0 -m 0755 vboxmouse_drv_70.so /usr/lib/xorg/modules/input/vboxmouse_drv.so
-+ else
-+ install -o 0 -g 0 -m 0755 vboxvideo_drv_71.so /usr/lib/xorg/modules/drivers/vboxvideo_drv.so
-+ install -o 0 -g 0 -m 0755 vboxmouse_drv_71.so /usr/lib/xorg/modules/input/vboxmouse_drv.so
-+ fi # Xorg version 7.1 or above
-+ ./x11config.pl
-+ else
-+ if [ -d /usr/X11R6/lib/modules ]; then
-+ install -o 0 -g 0 -m 0755 vboxvideo_drv.o /usr/X11R6/lib/modules/drivers/vboxvideo_drv.o
-+ install -o 0 -g 0 -m 0755 vboxmouse_drv.o /usr/X11R6/lib/modules/input/vboxmouse_drv.o
-+ echo "Running configuration script in perl." >> $LOG
-+ ./x11config.pl >> $LOG 2>&1
-+ else
-+ echo "Could not find X.org or XFree86 on the guest system. The X Window drivers" 1>&2
-+ echo "will not be installed." 1>&2
-+ echo "Could not find either x.org (/usr/lib/xorg) or XFree86 (/usr/X11R6/lib) on" >> $LOG
-+ echo " the guest system." >> $LOG
-+ exit 1
-+ fi
-+ fi # XFree86, not X.org
-+fi # Install the X11 drivers
-+
-+echo "Successfully installed the VirtualBox Guest Additions." 1>&2
-+echo "You must restart your guest system in order to complete the installation." 1>&2
-+echo "" >> $LOG
-+echo "Successfully completed." >> $LOG
-+echo "" >> $LOG
---- /dev/null 2007-01-17 16:25:19.316787294 +0200
+++ x11config.pl 2007-01-14 16:47:48.000000000 +0200
@@ -0,0 +1,90 @@
+#!/usr/bin/perl -w
@@ -155,3 +91,149 @@
+}
+
+$config_count != 0 or die "Could not find any X11 configuration files";
+--- /dev/null 2007-01-17 16:25:19.316787294 +0200
++++ install.sh 2007-01-18 13:45:59.554553672 +0200
+@@ -0,0 +1,143 @@
++#!/bin/sh
++#
++# InnoTek VirtualBox
++# VirtualBox Guest Additions installation script for Linux
++
++# Copyright (C) 2006 InnoTek Systemberatung GmbH
++#
++# This file is part of VirtualBox Open Source Edition (OSE), as
++# available from http://www.virtualbox.org. This file is free software;
++# you can redistribute it and/or modify it under the terms of the GNU
++# General Public License as published by the Free Software Foundation,
++# in version 2 as it comes in the "COPYING" file of the VirtualBox OSE
++# distribution. VirtualBox OSE is distributed in the hope that it will
++# be useful, but WITHOUT ANY WARRANTY of any kind.
++#
++# If you received this file as part of a commercial VirtualBox
++# distribution, then only the terms of your commercial VirtualBox
++# license agreement apply instead of the previous paragraph.
++
++# Modified by İsmail Dönmez <ismail at pardus.org.tr> for Pardus
++PATH=$PATH:/bin:/sbin:/usr/sbin
++
++LOG="/var/log/vboxadd-install.log"
++
++# Get rid of the old log file, should there be one.
++echo "Installing VirtualBox $VERSION Guest Additions" > $LOG
++echo "" >> $LOG
++echo "Testing the setup of the guest system" >> $LOG
++echo "" >> $LOG
++
++# Check that all the tools we need are available
++
++# Do we have GNU make?
++echo 1>&2 "Checking the setup of your guest system..."
++problems="no"
++make --version 2>&1 | grep GNU > /dev/null
++if [ ! $? = 0 ]; then
++ echo 1>&2 "Please install GNU make on your guest system."
++ echo "GNU make not found." >> $LOG
++ problems="yes"
++fi
++
++# Can we find the kernel source?
++build_dir=/lib/modules/`uname -r`/build
++if [ ! -d $build_dir/include ]; then
++ build_dir=/usr/src/linux
++ if [ ! -d $build_dir/include ]; then
++ echo 1>&2 "Please install the header files for your current kernel."
++ build_dir=""
++ problems="yes"
++ echo "Could not find the Linux kernel header files - the directories" >> $LOG
++ echo " /lib/modules/`uname -r`/build/include and /usr/src/linux/include" >> $LOG
++ echo " do not exist."
++ fi
++fi
++
++# Is GCC installed?
++gcc_version=`gcc --version 2> /dev/null | head -n 1`
++if [ "$gcc_version" = "" ]; then
++ echo 1>&2 "Please install the GNU compiler on your guest system."
++ problems="yes"
++ echo "gcc not found." >> $LOG
++fi # GCC installed
++
++# Is /bin/bash installed? Should be, but Ubuntu are playing with other shells.
++if [ ! -x /bin/bash ]; then
++ echo 1>&2 "Please install bash on your guest system."
++ problems="yes"
++ echo "/bin/bash not found" >> $LOG
++fi
++
++if [ "$problems" = "yes" ]; then
++ echo 1>&2 "Problems were found which would prevent the Guest Additions from installing."
++ echo 1>&2 "Please correct these problems and try again."
++ echo "Giving up due to the problems mentioned above." >> $LOG
++ exit 1
++fi
++
++# Make kernel module
++# What the **** is this for? I took it from the old Makefile.
++pathdown_sh=/lib/modules/`uname -r`/build/scripts/pathdown.sh
++if [ -f $pathdown_sh -a ! -x $pathdown_sh ]; then
++ chmod +x $pathdown_sh
++fi
++echo "" >> $LOG
++echo "Building the VirtualBox Guest Additions kernel module." >> $LOG
++echo "" >> $LOG
++echo "Building the VirtualBox Guest Additions kernel module..." 1>&2
++if ! make --no-print-directory -C module/vboxadd install >> $LOG 2>&1; then
++ echo 1>&2 "Unable to build the kernel module. See the log file $LOG"
++ echo 1>&2 "for more details."
++ exit 1
++fi
++
++# Remove previous installations
++mod_path=/lib/modules/`uname -r`
++find $mod_path -name vboxadd\* | grep -v $mod_path/misc/vboxadd | xargs rm > /dev/null 2>&1
++
++# Install scripts and binary drivers
++echo "Installing the VirtualBox Guest Additions..." 1>&2
++
++# Create udev description file
++echo "KERNEL==\"vboxadd*\", NAME=\"%k\", OWNER=\"root\", MODE=\"0666\"" > /etc/udev/rules.d/60-vboxadd.rules
++echo "alias char-major-254-0 vboxadd" > /etc/modules.d/vboxadd
++echo "alias char-major-254-0 vboxadd" > /etc/modprobe.d/vboxadd
++
++# Static nodes
++mknod /lib/udev/devices/vboxadd c 254 0 --mode=0666
++mknod /dev/vboxadd c 254 0 --mode=0666
++
++depmod -ae
++
++# Install the X Window drivers
++echo "Installing the X Window System drivers" >> $LOG
++if [ -d /usr/lib/xorg/modules ]; then
++ if Xorg -version 2>&1 | grep "Version 6.9" || Xorg -version 2>&1 | grep "Version 7.0"; then
++ install -o 0 -g 0 -m 0755 vboxvideo_drv_70.so /usr/lib/xorg/modules/drivers/vboxvideo_drv.so
++ install -o 0 -g 0 -m 0755 vboxmouse_drv_70.so /usr/lib/xorg/modules/input/vboxmouse_drv.so
++ else
++ install -o 0 -g 0 -m 0755 vboxvideo_drv_71.so /usr/lib/xorg/modules/drivers/vboxvideo_drv.so
++ install -o 0 -g 0 -m 0755 vboxmouse_drv_71.so /usr/lib/xorg/modules/input/vboxmouse_drv.so
++ fi # Xorg version 7.1 or above
++ ./x11config.pl
++else
++ if [ -d /usr/X11R6/lib/modules ]; then
++ install -o 0 -g 0 -m 0755 vboxvideo_drv.o /usr/X11R6/lib/modules/drivers/vboxvideo_drv.o
++ install -o 0 -g 0 -m 0755 vboxmouse_drv.o /usr/X11R6/lib/modules/input/vboxmouse_drv.o
++ echo "Running configuration script in perl." >> $LOG
++ ./x11config.pl >> $LOG 2>&1
++ else
++ echo "Could not find X.org or XFree86 on the guest system. The X Window drivers" 1>&2
++ echo "will not be installed." 1>&2
++ echo "Could not find either x.org (/usr/lib/xorg) or XFree86 (/usr/X11R6/lib) on" >> $LOG
++ echo " the guest system." >> $LOG
++ exit 1
++ fi
++fi # XFree86, not X.org
++
++echo "Successfully installed the VirtualBox Guest Additions." 1>&2
++echo "You must restart your guest system in order to complete the installation." 1>&2
++echo "" >> $LOG
++echo "Successfully completed." >> $LOG
++echo "" >> $LOG
Modified: devel/applications/emulators/virtualbox/pspec.xml
=================================================================
--- devel/applications/emulators/virtualbox/pspec.xml (original)
+++ devel/applications/emulators/virtualbox/pspec.xml Thu Jan 18 18:14:54 2007
@@ -11,7 +11,7 @@
<License>GPL</License>
<IsA>app:gui</IsA>
<Summary>VirtualBox is a family of powerful x86 virtualization products for enterprise as well as home use</Summary>
- <Archive sha1sum="b57ffe5395ffa316080c13b2fcddfaea00506802" type="tarbz2">http://cekirdek.pardus.org.tr/~ismail/dist/vbox-20070117.tar.bz2</Archive>
+ <Archive sha1sum="cb52c79fd8165a92712072817400004b418909e8" type="tarbz2">http://cekirdek.pardus.org.tr/~ismail/dist/vbox-20070118.tar.bz2</Archive>
<BuildDependencies>
<Dependency>dev86</Dependency>
<Dependency>xalan-c</Dependency>
@@ -26,7 +26,7 @@
</BuildDependencies>
<Patches>
<Patch>additions.patch</Patch>
- <Patch>enable-translations.patch</Patch>
+ <!-- <Patch>enable-translations.patch</Patch>-->
</Patches>
</Source>
@@ -60,6 +60,13 @@
</Package>
<History>
+ <Update release="4">
+ <Date>2007-01-18</Date>
+ <Version>1.3.3_20070118</Version>
+ <Comment>New snapshot</Comment>
+ <Name>İsmail Dönmez</Name>
+ <Email>ismail at pardus.org.tr</Email>
+ </Update>
<Update release="3">
<Date>2007-01-17</Date>
<Version>1.3.3_20070117</Version>
Paketler-commits mesaj listesiyle ilgili
daha fazla bilgi